<?xml version="1.0" encoding="UTF-8" ?>
<!-- Generated by Oracle SOA Modeler version 1.0 at [9/21/10 6:37 PM]. -->
<composite name="IN79LabProject"
           revision="1.1"
           label="2010-09-21_18-37-36_823"
           mode="active"
           state="on"
           xmlns="http://xmlns.oracle.com/sca/1.0"
           xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy"
           xmlns:orawsp="http://schemas.oracle.com/ws/2006/01/policy"
           xmlns:ui="http://xmlns.oracle.com/soa/designer/">
  <import namespace="http://xmlns.oracle.com/bpel/workflow/taskService"
          location="oramds:/soa/shared/workflow/TaskServiceInterface.wsdl"
          importType="wsdl"/>
  <import namespace="http://xmlns.oracle.com/pcbpel/adapter/file/IN79NLab/IN79LabProject/RegistrarSolicitud"
          location="RegistrarSolicitud.wsdl" importType="wsdl"/>
  <component name="CreditoLab">
    <implementation.bpmn src="processes/CreditoLab.bpmn"/>
    <property name="bpel.config.oneWayDeliveryPolicy" type="xs:string"
              many="false">sync</property>
    <property name="bpel.config.transaction" type="xs:string" many="false">required</property>
  </component>
  <component name="SolictarCreditoTask">
    <implementation.workflow src="SolictarCreditoTask.task"/>
  </component>
  <component name="RevisarCredito">
    <implementation.workflow src="RevisarCredito.task"/>
  </component>
  <reference name="RegistrarSolicitud"
             ui:wsdlLocation="RegistrarSolicitud.wsdl">
    <interface.wsdl interface="http://xmlns.oracle.com/pcbpel/adapter/file/IN79NLab/IN79LabProject/RegistrarSolicitud#wsdl.interface(Write_ptt)"/>
    <binding.jca config="RegistrarSolicitud_file.jca"/>
  </reference>
  <wire>
    <source.uri>CreditoLab/HumanTasks.SolictarCreditoTask.reference</source.uri>
    <target.uri>SolictarCreditoTask/TaskService</target.uri>
  </wire>
  <wire>
    <source.uri>CreditoLab/Services.Externals.RegistrarSolicitud.reference</source.uri>
    <target.uri>RegistrarSolicitud</target.uri>
  </wire>
  <wire>
    <source.uri>CreditoLab/HumanTasks.RevisarCredito.reference</source.uri>
    <target.uri>RevisarCredito/TaskService</target.uri>
  </wire>
</composite>
